Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.addrbook.client
Class CalendarServices

    java.lang.Object
      com.knowgate.addrbook.client.CalendarServices

    public class CalendarServices

extends java.lang.Object

Calendar Service Client Library

Constructor Summary
`CalendarServices()`

Method Summary
`boolean` | `connect(java.lang.String sURL, java.lang.String sUser, java.lang.String sPassword)` Connect to Calendar Service
`boolean` | `deleteMeeting(java.lang.String sUid)` Delete meeting from calendar
`boolean` | `disconnect()` Disconnect from Calendar Service
`java.util.ArrayList<CalendarRoom>` | `getAvailableRooms(java.util.Date dtFrom, java.util.Date dtTo)` Get all available resources between two dates
`java.util.ArrayList<CalendarRoom>` | `getAvailableRooms(java.util.Date dtFrom, java.util.Date dtTo, java.lang.String sType)` Get all available resources of a given type between two dates
`CalendarMeeting` | `getMeeting(java.lang.String sUid)` Get meeting given its unique identifier
`java.util.ArrayList<CalendarMeeting>` | `getMeetings(java.util.Date dtFrom, java.util.Date dtTo)` Get meetings between two dates
`java.util.ArrayList<CalendarMeeting>` | `getMeetingsForRoom(java.util.Date dtFrom, java.util.Date dtTo, java.lang.String sNmRoom)` Get meetings between two dates using a given resource
`java.util.ArrayList<CalendarRoom>` | `getRooms()` Get all resources
`java.util.ArrayList<CalendarRoom>` | `getRooms(java.lang.String sType)` Get all resources of a given type
`boolean` | `isAvailableRoom(java.lang.String sNmRoom, java.util.Date dtFrom, java.util.Date dtTo)` Check whether a resource is available between two given dates
`CalendarMeeting` | `storeMeeting(CalendarMeeting oMeet)` Add or update meeting to calendar

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarServices

    public CalendarServices()

Method Detail

### connect

    public boolean connect(java.lang.String sURL,
                           java.lang.String sUser,
                           java.lang.String sPassword)
                    throws JiBXException,
                           java.io.IOException

  Connect to Calendar Service

  Parameters:
    `sURL` - String Service base URL like http://localhost/hipergate/servlet/HttpCalendarServlet
    `sUser` - String User e-mail (must exist at k_users and k_fellows tables)
    `sPassword` - String User password
  Returns:
    true if successfully connected to the service
  Throws:
    `JiBXException`
    `java.io.IOException`

### disconnect

    public boolean disconnect()
                       throws java.lang.IllegalStateException,
                              JiBXException,
                              java.io.IOException

  Disconnect from Calendar Service

  Returns:
    true if successfully disconnected from the service
  Throws:
    `java.lang.IllegalStateException` - if not connected to calendar service
    `JiBXException`
    `java.io.IOException`

### isAvailableRoom

    public boolean isAvailableRoom(java.lang.String sNmRoom,
                                   java.util.Date dtFrom,
                                   java.util.Date dtTo)
                            throws java.lang.IllegalStateException,
                                   JiBXException,
                                   java.io.IOException

  Check whether a resource is available between two given dates

  Parameters:
    `sNmRoom` - String Resource name
    `dtFrom` - Start date
    `dtTo` - End date
  Returns:
    true if resource is available at given dates
  Throws:
    `java.lang.IllegalStateException` - if not connected to calendar service
    `JiBXException`
    `java.io.IOException`

### getRooms

    public java.util.ArrayList<CalendarRoom> getRooms()
                                               throws java.lang.IllegalStateException,
                                                      JiBXException,
                                                      java.io.IOException

  Get all resources

  Throws:
    `java.lang.IllegalStateException` - if not connected to calendar service
    `JiBXException`
    `java.io.IOException`

### getRooms

    public java.util.ArrayList<CalendarRoom> getRooms(java.lang.String sType)
                                               throws java.lang.IllegalStateException,
                                                      JiBXException,
                                                      java.io.IOException

  Get all resources of a given type

  Parameters:
    `sType` - String Resource Type
  Throws:
    `java.lang.IllegalStateException` - if not connected to calendar service
    `JiBXException`
    `java.io.IOException`

### getAvailableRooms

    public java.util.ArrayList<CalendarRoom> getAvailableRooms(java.util.Date dtFrom,
                                                               java.util.Date dtTo)
                                                        throws java.lang.IllegalStateException,
                                                               JiBXException,
                                                               java.io.IOException

  Get all available resources between two dates

  Parameters:
    `dtFrom` - Start date
    `dtTo` - End date
  Throws:
    `java.lang.IllegalStateException` - if not connected to calendar service
    `JiBXException`
    `java.io.IOException`

### getAvailableRooms

    public java.util.ArrayList<CalendarRoom> getAvailableRooms(java.util.Date dtFrom,
                                                               java.util.Date dtTo,
                                                               java.lang.String sType)
                                                        throws java.lang.IllegalStateException,
                                                               JiBXException,
                                                               java.io.IOException

  Get all available resources of a given type between two dates

  Parameters:
    `dtFrom` - Start date
    `dtTo` - End date
    `sType` - String Resource type
  Throws:
    `java.lang.IllegalStateException` - if not connected to calendar service
    `JiBXException`
    `java.io.IOException`

### getMeetings

    public java.util.ArrayList<CalendarMeeting> getMeetings(java.util.Date dtFrom,
                                                            java.util.Date dtTo)
                                                     throws java.lang.IllegalStateException,
                                                            JiBXException,
                                                            java.io.IOException

  Get meetings between two dates

  Parameters:
    `dtFrom` - Start date
    `dtTo` - End date
  Throws:
    `java.lang.IllegalStateException` - if not connected to calendar service
    `JiBXException`
    `java.io.IOException`

### getMeetingsForRoom

    public java.util.ArrayList<CalendarMeeting> getMeetingsForRoom(java.util.Date dtFrom,
                                                                   java.util.Date dtTo,
                                                                   java.lang.String sNmRoom)
                                                            throws java.lang.IllegalStateException,
                                                                   JiBXException,
                                                                   java.io.IOException

  Get meetings between two dates using a given resource

  Parameters:
    `dtFrom` - Start date
    `dtTo` - End date
    `sNmRoom` - String Resource name
  Throws:
    `java.lang.IllegalStateException` - if not connected to calendar service
    `JiBXException`
    `java.io.IOException`

### getMeeting

    public CalendarMeeting getMeeting(java.lang.String sUid)
                               throws java.lang.IllegalStateException,
                                      JiBXException,
                                      java.io.IOException

  Get meeting given its unique identifier

  Parameters:
    `sUid` - String Meeting iCalendar or Global Unique Identifier
  Throws:
    `java.lang.IllegalStateException` - if not connected to calendar service
    `JiBXException`
    `java.io.IOException`

### storeMeeting

    public CalendarMeeting storeMeeting(CalendarMeeting oMeet)
                                 throws java.lang.IllegalStateException,
                                        JiBXException,
                                        java.io.IOException

  Add or update meeting to calendar

  Parameters:
    `oMeet` - CalendarMeeting
  Throws:
    `java.lang.IllegalStateException` - if not connected to calendar service
    `JiBXException`
    `java.io.IOException`

### deleteMeeting

    public boolean deleteMeeting(java.lang.String sUid)
                          throws java.lang.IllegalStateException,
                                 JiBXException,
                                 java.io.IOException

  Delete meeting from calendar

  Parameters:
    `sUid` - String Meeting iCalendar or Global Unique Identifier
  Throws:
    `java.lang.IllegalStateException` - if not connected to calendar service
    `JiBXException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD